from typing import Any

from pydantic import BaseModel, Field


class ApiResultSchema(BaseModel):
    code: int = Field(..., title="状态码", description="0=成功；!0：失败")
    message: str = Field(..., title="响应消息", description="响应消息")
    data: Any = Field(None, title="响应数据", description="响应数据")
